'use strict';
const path = require('path');
const webpackConfig = require('./webpack.config');
const routers = [];
const WebpackDevServer = require('../');

module.exports = {
    plugins: [
        new WebpackDevServer({
            webpackConfig,
            devServerConfig:{
                quiet: true,
                noInfo: true
            }
            /**
            devServerConfig: {
                noInfo: false,
                // display no info to console (only warnings and errors)

                quiet: false,
                // display nothing to the console

                lazy: true,
                // switch into lazy mode
                // that means no watching, but recompilation on every request
                watchOptions: {
                    aggregateTimeout: 300
                },
                // filename: "bundle.js",
                // delay after change (only lazy: false)
                // public path to bind the middleware to
                // use the same as in webpack

                headers: {"X-Custom-Header": "yes"},
                // custom headers

                stats: {
                    colors: true
                },
                contentBase: webpackConfig.output.path,
                publicPath: webpackConfig.output.publicPath,
                hot: true,
                // stats: webpackConf.devServer.stats
                // options for formating the statistics
            }*/
        })
    ],
    /**
     * mock服务器配置
     */
    server: {
        /**
         * 路由表 格式参见 @routers
         */
        routers,
        /**
         * 端口
         */
        port: 9000,
        /**
         * 是否区分方法
         */
        divideMethod: !!0,
        /**
         * 是否启用 https
         */
        https: !!0,
        /**
         * router type 为 sync 的filePath的ftl相对目录
         */
        viewRoot: path.join(__dirname, 'template'),
        /**
         * router type 为 sync 的filePath的data相对目录
         */
        syncData: path.join(__dirname, 'mock', 'sync'),
        /**
         * router type 为 async 的filepath的data相对目录
         */
        asyncData: path.join(__dirname, 'mock', 'async'),
        /**
         * 静态资源目录
         */
        static: [
            path.join(__dirname, 'html')
        ]
    }
};
